FM(1)

NAME
fm - control frequency, volume, mute/unmute of FM radio card

SYNOPSIS

fm [ -h ] [ -o ] [ -q ] [ -d device ] [ -t tuner ] [ -T none | forever | time ] on | off | + | - | freq [ volume ]

DESCRIPTION
fm is a program to control the frequency, volume, and mute/unmute state of an FM radio card, using the video4linux interface introduced in 2.1.x series Linux kernels.

  OPTIONS

-h  Print a usage message to standard output, and exit.

-o  Ignore frequency range limits of card. Use if you suspect that the card supports a wider frequency range than its driver believes.

-q  Quiet mode. Keeps information on station and volume from being printed on standard output.

-d device
    Sets device as the device to tune. The default is /dev/radio0.

-t tuner
    Sets tuner as the tuner on the selected device to adjust. The default is tuner 0. Most radio devices have only a single tuner.

-T none | forever | time
    After tuning, sleep for the time specified or forever. Time is specified in seconds by default. A suffix of m indicates minutes, h indicates hours, or d indicates days.

    The -T option is useful with radio card drivers that only maintain the tuner settings while the tuner's file descriptor remains open. Try using this option if running fm ordinarily produces only a single "pop" from your speakers.

freq
    Frequency to tune the radio to, in MHz. For instance, 88.9 specifies a frequency of 88.9 MHz. AM tuner values are also specified in MHz; for instance, 530 kHz would be specified as .530.

on  Turn the radio on (unmute).

off Turn the radio off (mute).

volume
    Specify the desired volume, in percent. Not all radio devices support volume control.

+   Increase the current volume.

-   Decrease the current volume.

CONFIGURATION
fm reads $HOME/.fmrc, if it exists, to obtain default settings. Each line may take one of the following forms:

VOL percent
    Specifies default volume (default: 12.5%).

INCR percent
    Volume increment used for + and - options (default: 10%).

TIME
    Default sleep time (default: none).

All other lines are ignored.

SEE ALSO

Additional documentation:
    /usr/share/doc/fmtools/README

The fmtools homepage:
    http://benpfaff.org/fmtools

AUTHORS
Russell Kroll <rkroll@exploits.org>, now maintained by Ben Pfaff <blp@cs.stanford.edu>. Sleep time feature contributed by Dave Ulrick <d-ulrick@insightbb.com>. This manpage written by Ben Pfaff.